﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
namespace ConditionalBlinkingRow
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<Item> items = new List<Item>();

            items.Add(new Item() { ID = 1, Price = 99 });
            items.Add(new Item() { ID = 2, Price = 150 });
            items.Add(new Item() { ID = 3, Price = 50 });
            items.Add(new Item() { ID = 4, Price = 200 });
            items.Add(new Item() { ID = 5, Price = 101 });

            this.RadGridView1.RowStyleSelector = new MyRowStyleSelector() { BlinkingStyle = (Style)this.Resources["BlinkingStyle"] };
            this.RadGridView1.ItemsSource = items;
        }
    }

    public class Item
    {
        public int ID { get; set; }
        public int Price { get; set; }

    }

    public class MyRowStyleSelector : StyleSelector
    {
        public Style BlinkingStyle { get; set; }
        public override Style SelectStyle(object item, DependencyObject container)
        {
            if (((Item)item).Price < 100)
                return this.BlinkingStyle;
            else
                return base.SelectStyle(item, container);
        }
    }

}
